<template>
	<view class="userinfo">
		<img class="infobg" src="https://ikea-mrm.woaap.com/images/infobg1.jpg" />
		<img @click="goRank" class="qgphtext" src="https://ikea-mrm.woaap.com/images/mask/qgphtext.png" alt="" />
		<img class="avatar" :src="gameInfo.avatar" />
		<text class="nickName">{{ gameInfo.nickname }}</text>
		<view class="choosebox">
			<view class="tag">玩在一起，{{ gameInfo.tag }}</view>
			<view class="title">我的勋章墙/ Medal of Honor</view>
			<view class="medals">
				<view class="medals-item">
					<view v-if="u1Count != 0" class="marker">{{ u1Count }}</view>
					<img v-if="u1Count == 0" class="medal" src="https://ikea-mrm.woaap.com/images/medal_none.png" />
					<img v-if="u1Count != 0" class="medal" src="https://ikea-mrm.woaap.com/images/medal_mask.png" />
				</view>
				<view class="medals-item">
					<view v-if="u2Count != 0" class="marker">{{ u2Count }}</view>
					<img v-if="u2Count == 0" class="medal" src="https://ikea-mrm.woaap.com/images/medal_none.png" />
					<img v-if="u2Count != 0" class="medal" src="https://ikea-mrm.woaap.com/images/medal_paint.png" />
				</view>
				<view class="medals-item">
					<view v-if="u3Count != 0" class="marker">{{ u3Count }}</view>
					<img v-if="u3Count == 0" class="medal" src="https://ikea-mrm.woaap.com/images/medal_none.png" />
					<img v-if="u3Count != 0" class="medal" src="https://ikea-mrm.woaap.com/images/medal_diy.png" />
				</view>
				<view class="medals-item">
					<view v-if="u4Count != 0" class="marker">{{ u4Count }}</view>
					<img v-if="u4Count == 0" class="medal" src="https://ikea-mrm.woaap.com/images/medal_none.png" />
					<img v-if="u4Count != 0" class="medal" src="https://ikea-mrm.woaap.com/images/medal_music.png" />
				</view>
				<view class="medals-item">
					<view v-if="u5Count != 0" class="marker">{{ u5Count }}</view>
					<img v-if="u5Count == 0" class="medal" src="https://ikea-mrm.woaap.com/images/medal_none.png" />
					<img v-if="u5Count != 0" class="medal" src="https://ikea-mrm.woaap.com/images/medal_story.png" />
				</view>
				<view class="medals-item"><img class="medal" src="https://ikea-mrm.woaap.com/images/medal_none.png" /></view>
			</view>
		</view>
		<view class="btngroup">
			<button class="btn btnone" @click="goList"></button>
			<button class="btn btntwo" @click="goPost"></button>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			userInfo: getApp().globalData.userInfo,
			chooseValue: '释放童心',
			gameInfo: '',
			medals: '',
			u1Count: 0,
			u2Count: 0,
			u3Count: 0,
			u4Count: 0,
			u5Count: 0
		};
	},
	onShow() {
		getApp().td_app_sdk.event({
			id: 'userinfo2',
			label: 'pv',
			params: {}
		});
	},
	onShareAppMessage: function(res) {
		return {
			title: '宜家PLAY护照 限时申领中',
			path: 'pages/index/index',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_passport.jpg'
		};
	},
	mounted() {
		wx.setStorageSync('chooseValue', this.chooseValue);
		this.gameInfo = wx.getStorageSync('gameInfo');
		this.medals = this.gameInfo.medals;
		if (this.medals.medal_mask) {
			this.u1Count = this.medals.medal_mask;
		}
		if (this.medals.medal_paint) {
			this.u2Count = this.medals.medal_paint;
		}
		if (this.medals.medal_diy) {
			this.u3Count = this.medals.medal_diy;
		}
		if (this.medals.medal_music) {
			this.u4Count = this.medals.medal_music;
		}
		if (this.medals.medal_story) {
			this.u5Count = this.medals.medal_story;
		}
	},
	methods: {
		chooseItem(value) {
			this.chooseValue = value;
			wx.setStorageSync('chooseValue', value);
		},
		goList() {
			getApp().td_app_sdk.event({
				id: '分享玩游戏',
				label: 'click'
			});
			wx.reLaunch({
				url: '/pages/list/list'
			});
		},
		goPost() {
			getApp().td_app_sdk.event({
				id: '分享晒护照',
				label: 'click'
			});
			uni.navigateTo({
				url: `/pages/post/havemedal?showMask=${this.u1Count}&showPaint=${this.u2Count}&showDiy=${this.u3Count}&showMusic=${this.u4Count}&showStory=${this.u5Count}`
			});
		},
		goRank() {
			getApp().td_app_sdk.event({
				id: '全国排行榜1',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/mask/rank'
			});
		}
	}
};
</script>

<style lang="less">
.btngroup {
	width: 100%;
	position: fixed;
	bottom: 140upx;
	height: 100upx;
	z-index: 999;
	padding: 0 46upx;
	box-sizing: border-box;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	.btn {
		width: 305upx;
		height: 100%;
	}
	.btnone {
		background: none;
		background-image: url(https://ikea-mrm.woaap.com/images/playbtn.png);
		background-size: 100% 100%;
	}
	.btntwo {
		background: none;
		background-image: url(https://ikea-mrm.woaap.com/images/gopost.png);
		background-size: 100% 100%;
	}
	.btn::after {
		border: none !important;
	}
}
.actived {
	background: #fed931 !important;
	color: #000000 !important;
}
.userinfo {
	width: 100vw;
	height: 100vh;
	overflow: hidden;
	position: relative;
	.qgphtext {
		width: 145rpx;
		height: 27rpx;
		position: absolute;
		top: 214rpx;
		left: 565rpx;
	}
	.infobg {
		width: 750upx;
		height: 1506upx;
		position: absolute;
		top: 0;
		left: 0;
	}
	.avatar {
		position: absolute;
		top: 250upx;
		left: 50%;
		transform: translate(-50%, 0);
		width: 185upx;
		height: 185upx;
		border-radius: 50%;
		border: 10upx solid #fed931;
	}
	.nickName {
		position: absolute;
		top: 460upx;
		left: 45upx;
		font-family: '黑体';
		font-weight: 900;
		font-size: 36upx;
	}
	.choosebox {
		width: 658upx;
		height: 300upx;
		position: absolute;
		top: 675upx;
		left: 50%;
		transform: translate(-50%, 0);
		.tag {
			font-family: '黑体';
			font-weight: 900;
			font-size: 36upx;
		}
		.title {
			font-family: '黑体';
			font-weight: 900;
			font-size: 20upx;
			margin-top: 30rpx;
		}
		.medals {
			width: 100%;
			height: 110rpx;
			display: flex;
			overflow-x: scroll;
			overflow-y: hidden;
			margin-top: 5rpx;
			.medals-item {
				flex-shrink: 0;
				width: 92rpx;
				height: 97rpx;
				margin-right: 45rpx;
				position: relative;
				.marker {
					width: 25rpx;
					height: 25rpx;
					position: absolute;
					top: 0;
					right: -5rpx;
					border-radius: 50%;
					background: #0d5aa1;
					font-size: 15rpx;
					color: #ffffff;
					text-align: center;
					line-height: 25rpx;
				}
				img {
					width: 100%;
					height: 100%;
				}
			}
		}
	}

	.playgame {
		width: 350upx;
		height: 100upx;
		position: absolute;
		top: 982upx;
		left: 50%;
		transform: translate(-50%, 0);
	}
}
</style>
